% Display of images as columns of matrix M
%
% affichage(M,r,lig,Li,Co)
%
% M (m x n) matrix where columns represents Li x Co images
% r = number of images to be displayed
% lig = number of images displayed by row

function a = affichage(V,r,lig,Li,Co)

V = max(V,0);
for i = 1 : r
    V(:,i) = V(:,i)/max(V(:,i));
end
p = 0;
k = 0;
Vaff = [];
warning('off');
for i = 1 : r
        ligne = floor((i-1)/lig)+1;
        col = i - (ligne-1)*lig;
        Vaff((ligne-1)*Li+1:ligne*Li,(col-1)*Co+1:col*Co) = reshape(V(:,i),Li,Co)/max(V(:,i));
end
[m,n] = size(Vaff);
for i = 1 : n/Co-1
    if k ~= 0
        Vaff = [Vaff(:,1:Co*i+2*i-2) ones(m,2) Vaff(:,Co*i+2*i-1:end)];
    else
        Vaff = [Vaff(:,1:Co*i+i-1) ones(m,1) Vaff(:,Co*i+i:end)];
    end
end
 [m,n] = size(Vaff);
for i = 1 : m/Li-1
    if k ~= 0
        Vaff = [Vaff(1:Li*i+2*i-2,:); ones(2,n); Vaff(Li*i+2*i-1:end,:)];
    else
        Vaff = [Vaff(1:Li*i+i-1,:); ones(1,n); Vaff(Li*i+i:end,:)];
    end
end
figure;
if p == 1
    imshow(1-Vaff',[0 1]); colormap(gray);
elseif p == 2
    imshow((Vaff).^(1),[0 1]); colormap(gray);
else
    imshow(1-Vaff,[0 1]); colormap(gray);
end
warning('on');
a = 1;